Subject: Re: [PANIC] lro + iscsi or lro + skb text search causes panic

From: Mike Christie <[email-masked]>
Date: Thu, 22 Jan 2009 18:04:11 -0600

Herbert Xu wrote:
> On Thu, Jan 22, 2009 at 12:55:21PM -0800, Brandeburg, Jesse wrote:
>> I've filed this bugzilla a while ago.
>> http://bugzilla.kernel.org/show_bug.cgi?id=11804
>> now other customers are becoming interested as well
> 
> Does this patch help?
> 
> net: Fix frag_list handling in skb_seq_read
> 
> The frag_list handling was broken ini skb_seq_read:
> 
> 1) We didn't add the stepped offset when looking at the head
> are of fragments other than the first.
> 
> 2) The frag index wasn't reset.
> 
> This patch fixes both issues.
> 

Without the patch I do not get the oops Jesse saw. The iscsi driver logs 
in and I do not see a problem until running IO (scsi read commands). The 
iscsi code thinks there is a missing packet at the iscsi level and 
begins recovery at that level.

With the patch running against linus's git tree, my box locks up. You 
cannot ping it. I do not get a oops or anything in the logs, and the 
keyboard does not respond. I will try to get some oops output and more info.